NNG_HTTP_RES_SET_REASON(3http)

NAME
nng_http_res_set_reason - set HTTP response reason

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_res_set_reason(nng_http_res *res, const char *reason);

DESCRIPTION

The nng_http_res_set_reason() sets the human readable reason associated with the response res to reason.

If the value of reason is NULL (the default), then a default reason phrase is supplied based upon the value of the status code (see nng_http_res_set_status()).

    Tip

    The reason is never parsed automatically, but it can be a hint for humans to help them understand the nature of any erroneous result.

A local copy of the reason is made in the response res.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient memory to perform the operation.

NNG_ENOTSUP
    No support for HTTP in the library.

SEE ALSO

nng_http_res_alloc(3http), nng_http_req_get_reason(3http), nng_http_req_set_status(3http), nng(7)